Skip to main content
GET
/
v1
/
channels
/
{channelId}
/
templates
cURL
curl --request GET \
  --url https://api.goevery.co/v1/channels/{channelId}/templates \
  --header 'Authorization: Bearer <token>'
{
  "templates": [
    {
      "name": "order_status_update",
      "category": "UTILITY",
      "body": {
        "text": "Tu pedido {{orderNumber}} está {{status}}.",
        "parameters": [
          {
            "name": "customerName",
            "example": "Juan"
          }
        ]
      },
      "buttons": [
        "Ver pedido"
      ],
      "footer": "GoEvery"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

channelId
string
required

The unique identifier of the channel.

Example:

"6633a1b2c4d5e6f7a8b9c0d1"

Query Parameters

pageSize
number | null

The maximum number of templates to return. Defaults to 50 if not specified.

Required range: x <= 100
Example:

50

pageToken
string | null

A token to retrieve the next page of results.

Response

200 - application/json

Successfully retrieved list of approved templates.

templates
object[]
required

An array of approved templates.

nextPageToken
string | null

A token to retrieve the next page of results, if any.